Find the answer to your Linux question:
Results 1 to 4 of 4
Hi All, I am trying to install dahdi interface tool in linux redhat version 2.6.32-358.el6.x86_64 .when i try to install the dahdi-linux-complete-2.6.1+2.6.1 getting the below error. please anyone can help ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Aug 2013
    Posts
    2

    not able to install interface tool in redhat linux


    Hi All,

    I am trying to install dahdi interface tool in linux redhat version 2.6.32-358.el6.x86_64 .when i try to install the dahdi-linux-complete-2.6.1+2.6.1 getting the below error. please anyone can help me if the issue is on the OS or the tool.

    Code:
    make[2]: Leaving directory `/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/drivers/dahdi/firmware'
    make -C /lib/modules/2.6.32-358.el6.x86_64/build SUBDIRS=/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/drivers/dahdi DAHDI_INCLUDE=/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/include DAHDI_MODULES_EXTRA=" " HOTPLUG_FIRMWARE=yes modules DAHDI_BUILD_ALL=m
    expr: syntax error
    make[2]: Entering directory `/usr/src/kernels/2.6.32-358.el6.x86_64'
    /usr/src/kernels/2.6.32-358.el6.x86_64/arch/x86/Makefile:81: stack protector enabled but no compiler support
    make[2]: gcc: Command not found
      CC [M]  /usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/drivers/dahdi/dahdi-base.o
    /bin/sh: gcc: command not found
    make[3]: *** [/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/drivers/dahdi/dahdi-base.o] Error 127
    make[2]: *** [_module_/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux/drivers/dahdi] Error 2
    make[2]: Leaving directory `/usr/src/kernels/2.6.32-358.el6.x86_64'
    make[1]: *** [modules] Error 2
    make[1]: Leaving directory `/usr/src/dahdi-linux-complete-2.6.2+2.6.2/linux'
    make: *** [all] Error 2
    Last edited by atreyu; 08-08-2013 at 01:53 AM. Reason: added CODE tags to aid in readability

  2. #2
    Trusted Penguin
    Join Date
    May 2011
    Posts
    4,353
    hello and welcome, rsankar402!

    Quote Originally Posted by rsankar402
    Code:
    make[2]: gcc: Command not found
    not sure about the rest, but try this, for starters:
    Code:
    yum install gcc
    or if yum is not set up (i.e., you don't have internet or RHN) then you can install the RPM(s) from the original RHEL installation DVD/media.
    Last edited by atreyu; 08-08-2013 at 01:56 AM. Reason: specified the installation media source

  3. #3
    Just Joined!
    Join Date
    Aug 2013
    Posts
    2
    Quote Originally Posted by atreyu View Post
    hello and welcome, rsankar402!



    not sure about the rest, but try this, for starters:
    Code:
    yum install gcc
    or if yum is not set up (i.e., you don't have internet or RHN) then you can install the RPM(s) from the original RHEL installation DVD/media.
    This was due to i didn't installed the prerequisites of Asterisk..
    after installation of below packages it's installed successfully.

    gcc , gcc-c++ , libtermcap-devel , libxml2-devel

    Thank you

  4. #4
    Trusted Penguin
    Join Date
    May 2011
    Posts
    4,353
    great, glad its sorted. marking as Solved. You can use the Thread Tools link at the top of the page to do the same in the future.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •